[Rubygems-developers] The Deal

Charley Baker charley.baker at gmail.com
Thu Nov 18 18:46:48 EST 2010


Honestly this is a general question for the Ruby community. I'd be
interested if we have any stats on current usage. My guess is that
this will slant towards high adoption of 1.8.6 for Windows users
specifically as some guides mention still recommend this approach. The
new Ruby Installer may not have the presence yet that the old one
click installer had and there is a large installed base there. Luis,
feel free to jump in and correct me if that doesn't hold true.

-c

On Thu, Nov 18, 2010 at 3:22 PM, Eric Hodel <drbrain at segment7.net> wrote:
> On Nov 16, 2010, at 15:38, John Barnette wrote:
>> Engine Yard (specifically Nic Williams) have offered to work with us on a serious CI grid for RubyGems, potentially covering 1.8.6, 1.8.7, 1.9.1, 1.9.2, mri-head, Rubinius, and JRuby on Linux, Mac OS X, and Windows. I'm talking about this with him later today, and I'll have more details soon.
>
> Is somebody going to be doing 1.8.6 maintenance?
>
> I, personally, want to drop 1.8.6 for 1.8.7 and >= 1.9.1.  1.8.7 provides some backports from 1.9 that reduce the amount of alternate codepaths required.
> _______________________________________________
> Rubygems-developers mailing list
> http://rubyforge.org/projects/rubygems
> Rubygems-developers at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rubygems-developers
>


More information about the Rubygems-developers mailing list